/* ====================*/
	int sockets[4] = {0x0400, 0x0500, 0x0600, 0x0700};
	
void PRT_Read_Reg( void )
{
 iprintf("==============\rW5100_Mode =%x \r",ETH0_W51_Read(0x0000));//----------------------
 iprintf(" IP Address =%d:%d:%d:%d\r",ETH0_W51_Read(0x000F),ETH0_W51_Read(0x0010),ETH0_W51_Read(0x0011),ETH0_W51_Read(0x0012));
 iprintf("Interrupt (IR) =%x \r",ETH0_W51_Read(0x0015));
 iprintf("Interrupt Mask (IMR) =%x \r",ETH0_W51_Read(0x0016));
 iprintf("Retry Time(RTR0)/(RTR1) : 0x%x / 0x%x \r",ETH0_W51_Read(0x0017),ETH0_W51_Read(0x0018));
 iprintf("Retry Count (RCR)=  %d  \r",ETH0_W51_Read(0x0019));
 iprintf("RX Memory Size (RMSR) =0x%x \r",ETH0_W51_Read(0x001A));
 iprintf("TX Memory Size (TMSR) =0x%x \r",ETH0_W51_Read(0x001B));
 iprintf("==== socet_0 ====== \r");
 iprintf("Socket 0 Mode (S0_MR)  =0x%x\r",ETH0_W51_Read(0x0400));//----------------------
 iprintf("Socket 0 Command (S0_CR)  =0x%x\r",ETH0_W51_Read(0x0401));
 iprintf("Socket 0 Interrupt (S0_IR))  =0x%x\r",ETH0_W51_Read(0x0402));
 iprintf("Socket 0 Status (S0_SR)  =0x%x\r",ETH0_W51_Read(0x0403));
 //...............................
 iprintf("Socket 0 RX Received Size : %d\r",((ETH0_W51_Read(0x0426)<<8) +ETH0_W51_Read(0x0427)));

}

void PRT_RXReceivedSize( void )
{ iprintf("Socket 0 RX Received Size : %d\r",((ETH0_W51_Read(0x0426)<<8) +ETH0_W51_Read(0x0427)));}


void PRT_SetInterruptMask( void )
{ iprintf("SetInterruptMask = %d\r", ETH0_W51_Write(0x0016, 0xFF));}


void PRT_keep_alive_socket(uint8 val)
{ 	

	ETH0_W51_Write((sockets[val]+1), 0x22) ; CyDelay(50); }


void PRT_Read_Interrupt(char* Text)
{ 	iprintf("%s %x \r",Text,ETH0_W51_Read(0x0015)); }


void PRT_Clear_Socket_Interrupt(void)
{ 	ETH0_W51_Write(0x0402, 0x3F) ; CyDelay(50); }

void PRT_Clear_Interrupt(void)
{ 	ETH0_W51_Write(0x0015, 0xFF) ; CyDelay(50); }


void PRT_WriteRCR(uint8 val)
{ 	ETH0_W51_Write(0x0019, val) ; CyDelay(50); }



/* [] END OF FILE */
